EMF: EMF::EMRPOLYLINETO16 Class Reference

EMF 1.0

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
EMF::EMRPOLYLINETO16 Class Reference

EMF PolylineTo16. More...

`#include <libemf.h>`

Inheritance diagram for EMF::EMRPOLYLINETO16:

## Public Member Functions
| EMRPOLYLINETO16 (const RECTL *bounds, const POINT16 *points, INT n)
| EMRPOLYLINETO16 (const RECTL *bounds, const POINT *points, INT n)
| EMRPOLYLINETO16 (DATASTREAM &ds)
| ~EMRPOLYLINETO16 ()
bool | serialize (DATASTREAM ds)
int | size (void) const
void | execute (METAFILEDEVICECONTEXT *source, HDC dc) const
Public Member Functions inherited from EMF::METARECORD
virtual | ~METARECORD ()

## Detailed Description

EMF PolylineTo16.

Draw a polygonal line curve to (what?)

## Constructor & Destructor Documentation

EMF::EMRPOLYLINETO16::EMRPOLYLINETO16 | ( | const RECTL * | bounds,
|  | const POINT16 * | points,
|  | INT | n
| ) |  |
| inline

Parameters

  bounds | overall bounding box of polybezier curve.
  points | array of polybezier vertices.
  n | number of vertices in points.

EMF::EMRPOLYLINETO16::EMRPOLYLINETO16 | ( | const RECTL * | bounds,
|  | const POINT * | points,
|  | INT | n
| ) |  |
| inline

Convenience constructor with POINTs.

Parameters

  bounds | overall bounding box of polybezier curve.
  points | array of polybezier vertices.
  n | number of vertices in points.

EMF::EMRPOLYLINETO16::EMRPOLYLINETO16 | ( | DATASTREAM & | ds | ) |
| inline

Construct a PolylineTo record from the input stream.

Parameters

  ds | Metafile datastream.

EMF::EMRPOLYLINETO16::~EMRPOLYLINETO16 | ( |  | ) |
| inline

Destructor frees a copy of the points it buffered.

## Member Function Documentation

void EMF::EMRPOLYLINETO16::execute | ( | METAFILEDEVICECONTEXT * | source,
|  | HDC | dc
| ) |  | const
| inlinevirtual

Execute this record in the context of the given device context.

Parameters

  source | the device context from which this record is taken.
  dc | device context for execute.

Implements EMF::METARECORD.

bool EMF::EMRPOLYLINETO16::serialize | ( | DATASTREAM | ds | ) |
| inlinevirtual

Parameters

  ds | Metafile datastream.

Implements EMF::METARECORD.

int EMF::EMRPOLYLINETO16::size | ( | void |  | ) | const
| inlinevirtual

Internally computed size of this record.

Implements EMF::METARECORD.

The documentation for this class was generated from the following file:

- libemf.h